Bug 493253 - radeon fastuserswitch fails
radeon fastuserswitch fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 01:33 EDT by Jerry Amundson
Modified: 2009-04-07 21:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 21:56:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log for M76 (41.18 KB, text/plain)
2009-04-01 19:02 EDT, Martin Ebourne
no flags Details
second xorg.log for M76 (18.30 KB, text/plain)
2009-04-01 19:05 EDT, Martin Ebourne
no flags Details
dmesg for M76 (51.97 KB, text/plain)
2009-04-01 19:05 EDT, Martin Ebourne
no flags Details

  None (edit)
Description Jerry Amundson 2009-04-01 01:33:15 EDT
Description of problem:
radeon fastuserswitch fails
https://fedoraproject.org/wiki/QA:Testcase_radeon_fastuserswitch

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.0-2.fc11.i586

How reproducible:
once

Steps to Reproduce:
1.livecd for test day
2.click name -> Switch User
3.
  
Actual results:
grey screen, then original desktop

Expected results:
new graphical login screen

Additional info:
Apr  1 00:27:47 localhost gdm-binary[2864]: WARNING: GdmDisplay: display lasted 0.819448 seconds
Apr  1 00:27:49 localhost gnome-session[4793]: WARNING: Unable to find watch for alarm 12582923
Apr  1 00:27:49 localhost gnome-session[4793]: WARNING: Unable to find watch for alarm 12582924
Comment 1 Nathanael Noblet 2009-04-01 11:56:45 EDT
same issue here.
Comment 2 François Cami 2009-04-01 17:48:19 EDT
    Thanks for the bug report. We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue. 

    Please attach your X server log file (/var/log/Xorg.*.log) and the output of "dmesg" to the bug report as individual *uncompressed, text/plain* file attachments using the bugzilla file attachment link below. 
    
    We will review this issue again once you've had a chance to attach this information. 

    Thank you in advance. 

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Martin Ebourne 2009-04-01 18:59:21 EDT
Same problem on ATI Technologies Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
Using radeon test day live usb.
http://www.smolts.org/client/show/pub_bf164e34-ffe2-4be8-a306-49f5674a649c
Comment 4 Martin Ebourne 2009-04-01 19:02:20 EDT
Created attachment 337680 [details]
xorg log for M76

There are 3 xorg log files generated. This is the main login.
Comment 5 Martin Ebourne 2009-04-01 19:05:21 EDT
Created attachment 337681 [details]
second xorg.log for M76

This one has the clue in it, unable to do the modesetting as below. The third log is the same as this one so I shalln't attach it.

(WW) RADEON(0): R600 support is mostly incomplete and very experimental
(II) RADEON(0): PCIE card detected
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 8, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 8, (OK)
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 8, (OK)
drmOpenByBusid: drmOpenMinor returns 8
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) [drm] DRM interface version 1.0
(EE) [drm] Could not set DRM device bus ID.
(EE) RADEON(0): [dri] DRIGetVersion failed to open the DRM
[dri] Disabling DRI.
(EE) RADEON(0): Kernel modesetting setup failed
(II) UnloadModule: "radeon"
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found
Comment 6 Martin Ebourne 2009-04-01 19:05:42 EDT
Created attachment 337682 [details]
dmesg for M76
Comment 7 Dave Airlie 2009-04-03 00:23:51 EDT
please retest with xorg-x11-drv-ati-6.12.1-2.fc11 or higher
Comment 8 Maciej Grela 2009-04-03 13:27:46 EDT
Tested using xorg-x11-drv-ati-6.12.1-4.fc11.i586, problem persists. Additionally here is an error message I've observed:

Unable to start new display
The name org.gnome.DisplayManager was not provided by any .service files

Note You need to log in before you can comment on or make changes to this bug.